<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>TestFmk_Msg_t Struct Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="functions.html"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">TestFmk_Msg_t Struct Reference<div class="ingroups"><a class="el" href="group___t_e_s_t___f_r_a_m_e_w_o_r_k.html">Test Framework API</a> &raquo; <a class="el" href="group___t_e_s_t___f_r_a_m_e_w_o_r_k___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html">Test Framework Internal Data Structures</a></div></div>  </div>
</div><!--header-->
<div class="contents">

<p>Test Framework Message Format.  
 <a href="struct_test_fmk___msg__t.html#details">More...</a></p>

<p><code>#include &lt;test/common/framework_internal.h&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:abc39633694b9787b3a034146e4ee548f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="abc39633694b9787b3a034146e4ee548f"></a>
<a class="el" href="group___t_e_s_t___f_r_a_m_e_w_o_r_k___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaddc54b64ed29b116f956db2996326a60">TestFmk_MessageType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_test_fmk___msg__t.html#abc39633694b9787b3a034146e4ee548f">msgType</a></td></tr>
<tr class="memdesc:abc39633694b9787b3a034146e4ee548f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Header: This is the type of message being exchanged. <br /></td></tr>
<tr class="separator:abc39633694b9787b3a034146e4ee548f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6c104dfdd6d702cbea4f56c935a62428"><td class="memItemLeft" ><a class="anchor" id="a6c104dfdd6d702cbea4f56c935a62428"></a>
union {</td></tr>
<tr class="memitem:ac1233762e55296b0bad47855474f8a96"><td class="memItemLeft" >
&#160;&#160;&#160;<a class="el" href="group___t_e_s_t___f_r_a_m_e_w_o_r_k___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaf74af65f4a93511137fc9709b51f3ae7">TestFmk_Cfg</a>&#160;&#160;&#160;<a class="el" href="struct_test_fmk___msg__t.html#a8ca3187753345a7b0d71b43e043271fb">testfmkCfg</a></td></tr>
<tr class="memdesc:ac1233762e55296b0bad47855474f8a96"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test Framework configuration: Valid only if the message type is TestFmkCFG. <br /></td></tr>
<tr class="separator:ac1233762e55296b0bad47855474f8a96"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad678c75da8a477a11600a72721c09811"><td class="memItemLeft" >
&#160;&#160;&#160;<a class="el" href="group___t_e_s_t___f_r_a_m_e_w_o_r_k___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga53b9c6b754216c9ee6b6de48eea67a26">TestFmk_ResponseMsg</a>&#160;&#160;&#160;<a class="el" href="struct_test_fmk___msg__t.html#a648b167cf53b82cea8ad99239c4c4eb6">responseMsg</a></td></tr>
<tr class="memdesc:ad678c75da8a477a11600a72721c09811"><td class="mdescLeft">&#160;</td><td class="mdescRight">Response Message sent back to indicate the status of the operation. <br /></td></tr>
<tr class="separator:ad678c75da8a477a11600a72721c09811"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a24dca13d42280adbde911ca495231475"><td class="memItemLeft" >
&#160;&#160;&#160;MMWave_OpenCfg&#160;&#160;&#160;<a class="el" href="struct_test_fmk___msg__t.html#a9dcd0219332b998f808cad8a951e4c4d">mmWaveOpenCfg</a></td></tr>
<tr class="memdesc:a24dca13d42280adbde911ca495231475"><td class="mdescLeft">&#160;</td><td class="mdescRight">Open configuration: <br /></td></tr>
<tr class="separator:a24dca13d42280adbde911ca495231475"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8a3b5178d20e78c8d011adfb75f10d2c"><td class="memItemLeft" >
&#160;&#160;&#160;<a class="el" href="group___t_e_s_t___f_r_a_m_e_w_o_r_k___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gab1c6a853c7da0936bbe8943a8172e881">TestFmk_ProfileMsg</a>&#160;&#160;&#160;<a class="el" href="struct_test_fmk___msg__t.html#a18323aa2bb1eb556d448def09d2bb017">profileMsg</a></td></tr>
<tr class="memdesc:a8a3b5178d20e78c8d011adfb75f10d2c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Profile specific message: <br /></td></tr>
<tr class="separator:a8a3b5178d20e78c8d011adfb75f10d2c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6c104dfdd6d702cbea4f56c935a62428"><td class="memItemLeft" valign="top">}&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_test_fmk___msg__t.html#a6c104dfdd6d702cbea4f56c935a62428">u</a></td></tr>
<tr class="memdesc:a6c104dfdd6d702cbea4f56c935a62428"><td class="mdescLeft">&#160;</td><td class="mdescRight">Message Body: This is specific to the message type. <br /></td></tr>
<tr class="separator:a6c104dfdd6d702cbea4f56c935a62428"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Test Framework Message Format. </p>
<p>The structure describes the Test Framework message format </p>
</div><hr/>The documentation for this struct was generated from the following file:<ul>
<li>test/common/<a class="el" href="framework__internal_8h.html">framework_internal.h</a></li>
</ul>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
